org.springframework.jdbc.datasource.init

## Interface DatabasePopulator

- All Known Implementing Classes:
    CompositeDatabasePopulator, ResourceDatabasePopulator

      public interface DatabasePopulator

  Strategy used to populate a database during initialization.
  Since:
    3.0
  Author:
    Keith Donald
  See Also:
    `ResourceDatabasePopulator`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `populate(Connection connection)` Populate the database using the JDBC connection provided.

- - ### Method Detail

    - #### populate

          void populate(Connection connection)
                        throws SQLException

      Populate the database using the JDBC connection provided.
      Parameters:
        `connection` - the JDBC connection to use to populate the db; already configured and ready to use
      Throws:
        `SQLException` - if an unrecoverable data access exception occurs during database population